<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<?php 
require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/head.php";

//Connect
ConnRead();

//get querystring variables
$id = $_GET["id"];

//make sure the movie ID is numeric.
check_id($id, "/");

//get the movie details
$m = movie_get_data($db, $id, $site_id);
$name = fix_movie_name($m['name']);
$name_encoded = str_replace("'", "", $name);
$url_name = url_name($name);
$url_start_date = date('Y-m-d', strtotime($start_date));
$poster = ($m['posterImage'] != '') ? fxp_build_poster_url($site_id, $m['posterImage']) : build_poster_url($id, $m['hiphotos']);
$mpaa = trim($m['mpaa']);
$runtime = fix_movie_runtime($m['runtime']);
$genres = build_genre_string($m, ", ",2);
$actors = ($m['csActors'] != '') ? str_replace(',', '<br/>', $m['csActors']) : build_actors_string($m, "<br />",10);
$director = str_replace(", ","<br>", trim($m['director']));
$writer = str_replace(", ","<br>", trim($m['writer']));
$synopsis = trim($m['capsule']);
//$trailer = trim($m['flv_high']);
//$trailer_url = build_trailer_url($id, $trailer);
$custom_text = trim($m['custom_text']);

//redirect old style URLs
redirect_old_movie_urls($id, $url_name);

//loop through the stills array
$stills = movie_get_stills($db, $id,'high');
foreach ($stills as $s) {
	$stills_HTML .= '<td><img src="'.$s.'" /></td>';
}

//set the trailer ghost image
//if (!empty($stills[0])) {
//	$trailer_image = $stills[array_rand($stills,1)];
//}

//set up trailer variables
if ($m['csTrailer'] != ''){
	$trailer = 1;
	$trailer_url = fxp_build_trailer_url($m['csTrailer']);
	$trailer_image = fxp_build_trailer_thumbnail($trailer_url, $stills[0]);
} else {
	$trailer = trim($m['flv_high']);
	$trailer_url = build_trailer_url($id, $trailer);
	//set the trailer ghost image
	if (!empty($stills[0])) {
		$trailer_image = $stills[array_rand($stills,1)];
	} else {
		$trailer_image = "//www.movienewsletters.net/photos/000000H1.jpg";
	}
}


//only format release if it exists!
if ($m['release'] != "") {
	if (strtotime($m['release']) > strtotime($today)) {
		$phrase = "Opens ";
	} else {
		$phrase = "Opened ";
	}
	$release = ($m['release_tbd'] == '1') ? 'Release TBD' : $phrase . date('F jS, Y', strtotime($m['release']));
}

//print out facebook open graph tags
echo html_facebook_movie_tags($site_name, $m);	
?>

<title><?php echo $name; ?> Trailer & Info | <?php echo $site_name; ?></title>

</head>

<body id="">
    
	<div id="main_wrapper">
		<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/header.php" ?>
		
		<div id="content">
			<h1><?php echo "$name <span class='mpaa'>($mpaa)</span>"; ?></h1>
			
			<div class='page-content'>
				<div class='poster-col'>
					<div class='poster-wrapper'>
						<img src="<?php echo $poster; ?>" class="poster" />
					</div>
					<?php
					//show trailer button if one is available. Change link for mobile devices
					if ($trailer) {
						echo "<a href='/trailer?file=$trailer_url' target='_blank' class='play-trailer' data-fancybox-type='iframe' title='$name_encoded' />
							  <img class='play fade-reverse' src='/img/icoPlay.png' /></a>";
					}
					?>
				</div>
				
				<div class='info-col'>
					<?php
					//write out synopsis if it exists
					if ($synopsis != "") {
						echo "<p>$synopsis</p> <p>$custom_text</p>";
					}
					?>
					
					<div class="half">
						<?php
						//add info fields if they exists
						if ($genres != "") {
							$details =  $genres . "<br />";
						}
						if ($runtime != "") {
							$details .=  $runtime . "<br />";
						}
						if ($release != "") {
							$details .=  $release;
						}
						
						//print if not empty
						if ($details != "") {
							echo "<h5>Details</h5><p>$details</p>";
						}
						
						//director
						if ($director != "") {
							echo "<h5>Director</h5>
								  <p>$director</p>";
						}
						
						//writer
						if ($writer != "") {
							echo "<h5>Writer</h5>
								  <p>$writer</p>";
						}
						?>
					</div>
					
					<div class="half">
						<?php
						//cast
						if ($actors != "") {
							echo "<h5>Cast</h5>
								  <p>$actors</p>";
						}
						?>
					</div>
				</div>
				
				<div class="theaters-col">
					<div class="playing-at">
						<h3>Playing At</h3>
						<?php echo html_houses_playing_movie($db, $site_id, $id, $today); 
					
		
						?>
						<!-- <p class="footnote"><span class="has-times">times available</span><br />no times available</p> -->
					</div>
				</div>
				
				<div class="stills-wrapper">
					<div class="stills">
						<table>
							<?php echo $stills_HTML; ?>
						</table>
					</div>
				</div>
				
				<div class="clearfix"></div>
			</div>
			
			<div class="clearfix"></div>
		</div>
					
    	<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer.php" ?>
    </div>
	
	<script>
		
		//document ready
		$(".play").mouseover(function() {
		    $(".poster").addClass("play-poster");
		  })
		  .mouseout(function() {
		    $(".poster").removeClass("play-poster");
		  });
	</script>
</body>
</html>